//Ant.h - header for Ant class

#pragma once
#ifndef _Ant_H
#define _Ant_H

#include "Organism.h"
#include "World.h"
using namespace std;

class Ant : public Organism
{
public:
	Ant(); //default constructor (just for type-testing)
	Ant( World *worldIn, int widthIn, int heightIn ); //"practical" constructor used for ants we want to use
	virtual ~Ant(); //virtual destructor

	void move();//uniquely implemented move method
	void breed();//uniquely implemented breed method
	void birth(int dirIn); //uniquely implemented internal birth method
};

#endif
